org.apache.flume

## Interface Source

- All Superinterfaces:
    LifecycleAware, NamedComponent
  All Known Subinterfaces:
    EventDrivenSource, PollableSource
  All Known Implementing Classes:
    AbstractEventDrivenSource, AbstractPollableSource, AbstractSource, AvroLegacySource, AvroSource, BasicSourceSemantics, EmbeddedSource, ExecSource, HTTPSource, JMSSource, KafkaSource, MultiportSyslogTCPSource, NetcatSource, ScribeSource, SequenceGeneratorSource, SpoolDirectorySource, StressSource, SyslogTcpSource, SyslogUDPSource, TaildirSource, ThriftLegacySource, ThriftSource, TwitterSource

      @InterfaceAudience.Public
      @InterfaceStability.Stable
      public interface Source
      extends LifecycleAware, NamedComponent

  A source generates and calls methods on the configured `ChannelProcessor` to persist those events into the configured channels.

  Sources are associated with unique names that can be used for separating configuration and working namespaces.

  No guarantees are given regarding thread safe access.

  See Also:
    `Channel`, `Sink`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ChannelProcessor` | `getChannelProcessor()` Returns the channel processor that will handle this source's events.
    `void` | `setChannelProcessor(ChannelProcessor channelProcessor)` Specifies which channel processor will handle this source's events.

    - ### Methods inherited from interface org.apache.flume.lifecycle.LifecycleAware

      `getLifecycleState, start, stop`

    - ### Methods inherited from interface org.apache.flume.NamedComponent

      `getName, setName`

- - ### Method Detail

    - #### setChannelProcessor

          void setChannelProcessor(ChannelProcessor channelProcessor)

      Specifies which channel processor will handle this source's events.
      Parameters:
        `channelProcessor` -

    - #### getChannelProcessor

          ChannelProcessor getChannelProcessor()

      Returns the channel processor that will handle this source's events.

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.